ResourceFactory (Resource Management Library 2.5.0-SNAPSHOT API)
Date: 2015-11-20

org.gcube.resourcemanagement.support.server.managers.resources

## Class ResourceFactory

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.resources.ResourceFactory

-     public class ResourceFactory
      extends Object

  For lazy developers here given the facilities to instantiate the proper resource manager of a resource given its identifier and type.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractResourceManager` | `createResourceManager(AllowedResourceTypes type)`
    `static AbstractResourceManager` | `createResourceManager(AllowedResourceTypes type, String id)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFactory

          public ResourceFactory()

  - ### Method Detail

    - #### createResourceManager

          public static final AbstractResourceManager createResourceManager(AllowedResourceTypes type)
                                                                     throws ResourceOperationException

      Throws:
        `ResourceOperationException`

    - #### createResourceManager

          public static final AbstractResourceManager createResourceManager(AllowedResourceTypes type,
                                                      String id)
                                                                     throws ResourceOperationException

      Parameters:
        `type` -
        `id` - if null the default constructor (empty params) will be used
      Returns:
      Throws:
        `ResourceOperationException`

    - #### main

          public static final void main(String[] args)
                                 throws Exception

      Throws:
        `Exception`

Copyright © 2015. All Rights Reserved.